using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Tools;

namespace ComboBoxTest
{
   public partial class Form2 : Form
   {
      public Form2()
      {
         InitializeComponent();
      }

      public Form2(DataTable table)
      {
         InitializeComponent();

         multiColumnComboBox1.DataSourceChanged += new EventHandler(multiColumnComboBox1_DataSourceChanged);
         multiColumnComboBox1.SelectedIndexChanged += new EventHandler(multiColumnComboBox1_SelectedIndexChanged);
         if (table != null)
            Table = table;
      }

      void multiColumnComboBox1_SelectedIndexChanged(object sender, EventArgs e)
      {
         ComboBoxBaseDataBound c = sender as ComboBoxBaseDataBound;

         if (c.SelectedIndex > -1)
         {
            Cursor.Current = Cursors.WaitCursor;
            DataRowView drv = c.Items[c.SelectedIndex] as DataRowView;
            string val0 = drv.Row[0].ToString();
            string val1= drv.Row[1].ToString();
            string displayText = string.Format(@"{0}\{1}", val0, val1);
            c.Text = displayText;
         }
      }

      void multiColumnComboBox1_DataSourceChanged(object sender, EventArgs e)
      {
         (sender as MultiColumnComboBox).SelectedIndex = 1;
         (sender as MultiColumnComboBox).Se = 1;
      }

      public DataTable Table
      {
         set { multiColumnComboBox1.DataSource = value; }
      }
   }
}